Holger's Java API

## com.antelmann.net.mail
Class POP3Account.Config

    java.lang.Object
      com.antelmann.net.mail.POP3Account.Config

All Implemented Interfaces:
  XMLSerializable, DetailedString, Forgeable<POP3Account.Config>, Serializable

Enclosing class:
  POP3Account

    public static class POP3Account.Config

extends Object
implements Serializable, DetailedString, XMLSerializable, Forgeable<POP3Account.Config>

encapsulates the configuration for an EmailAccount

See Also:
  Serialized Form

Field Summary
`boolean` `accessInboxBeforeSend`
`boolean` `authentication`
`boolean` `debug`
`String` `from`
`String` `password`
`String` `pop3Server`
`boolean` `requireTLS`
`boolean` `smtpOverSSL`
`String` `smtpPassword`
`int` `smtpPort`
`String` `smtpServer`
`String` `smtpUser`
`String` `user`

Constructor Summary
`POP3Account.Config()`

Method Summary
`boolean` `equals(Object obj)`
`void` `exportXML(OutputStream out)` exports the entire object as XML and writes it to the given Writer, so that the object can be reconstructed with `importXML(InputSource)`.
`int` `hashCode()`
`void` `importXML(InputStream source)` The object is fully reinitialized with the XML data contained in the given ImputSource, so that the object has the same state as it had during export.
`void` `loadFromProperties(Map<?,?> props, String prefix)`
`void` `setAllFrom(POP3Account.Config s)` copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.
`String` `toDetailedString()` provides full details of this instance in a String.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pop3Server

    public String pop3Server

### user

    public String user

### password

    public String password

### smtpServer

    public String smtpServer

### smtpUser

    public String smtpUser

### smtpPassword

    public String smtpPassword

### smtpPort

    public int smtpPort

### smtpOverSSL

    public boolean smtpOverSSL

### from

    public String from

### authentication

    public boolean authentication

### accessInboxBeforeSend

    public boolean accessInboxBeforeSend

### requireTLS

    public boolean requireTLS

### debug

    public boolean debug

Constructor Detail

### POP3Account.Config

    public POP3Account.Config()

Method Detail

### toDetailedString

    public String toDetailedString()

  Description copied from interface: `DetailedString`
  provides full details of this instance in a String. In case the String contains multiple lines, it is recommended to use '\n' rather than the platform specific line-break for better compatibility.

  Specified by:
    `toDetailedString` in interface `DetailedString`
  Returns:
    a (potentially multi-line) String providing full details on this object instance

### exportXML

    public void exportXML(OutputStream out)
                   throws IOException

  Description copied from interface: `XMLSerializable`
  exports the entire object as XML and writes it to the given Writer, so that the object can be reconstructed with `importXML(InputSource)`. The given stream is neither flushed nor closed, so that other data may be effectively written to the InputSource after the method returned.

  Specified by:
    `exportXML` in interface `XMLSerializable`
  Throws:
    `IOException`
  See Also:
    `XMLSerializable.importXML(InputStream)`

### importXML

    public void importXML(InputStream source)
                   throws SAXException,
                          IOException,
                          ClassCastException

  Description copied from interface: `XMLSerializable`
  The object is fully reinitialized with the XML data contained in the given ImputSource, so that the object has the same state as it had during export.

  Specified by:
    `importXML` in interface `XMLSerializable`
  Throws:
    `SAXException`
    `IOException`
    `ClassCastException`
  See Also:
    `XMLSerializable.exportXML(OutputStream)`

### setAllFrom

    public void setAllFrom(POP3Account.Config s)
                    throws NullPointerException,
                           IllegalArgumentException

  Description copied from interface: `Forgeable`
  copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

  Specified by:
    `setAllFrom` in interface `Forgeable<POP3Account.Config>`
  Parameters:
    `s` - the object whose behavior is to be copied to this instance
  Throws:
    `NullPointerException` - if the given object parameter is null
    `IllegalArgumentException` - if the given object contains properties that for some reason cannot be copied to this instance

### loadFromProperties

    public void loadFromProperties(Map<?,?> props,
                                   String prefix)
                            throws NullPointerException,
                                   IllegalArgumentException

  Throws:
    `NullPointerException`
    `IllegalArgumentException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads